<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>CarbonPHP Documentation</title>
	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
		}

		a, a:hover {
			background: transparent;
			border-bottom: 1px dotted #666;
			color: #666;
			text-decoration: none;		
		}

		a:hover {
			border: 0;
		}

		html {
			font-family: "Lucida Sans Unicode", "Lucida Grande";
			font-size: 14px;
		}

		body {
			background: #fff;
			color: #666;
		}

		h1 {
			font-size: 15px;
			font-weight: bold;
			margin: 0 0 5px 0;
		}

		h2 {
			font-size: 13px;
			font-weight: bold;
			margin: 5px 0 5px 0;
		}

		ol, ul {
			margin: 10px 0 10px 0;
			list-style-position: inside;
		}

		p {
			margin: 5px 0 5px 0;
		}

		.content {
			border: 1px dotted #444;
			margin: 10px;
			padding: 10px;
			text-align: justify;
			width: 700px;
		}

		.example {
			border: 1px solid #ccc;
			background: #eee;
			margin: 10px;
			padding: 10px;
			text-align: left;
		}
	</style>
</head>

<body>
	<div class="content">
		<h1>Directory Utlity</h1>

		<p>The directory utlity contains a function used for working with directories.  You load this utility
		by using the following piece of code.</p>

		<div class="example">
			$this->load->utility('directory');
		</div>
	</div>

	<div class="content">
		<h1>directory_map()</h1>

		<p>This function reads the directory path specified in the parameter and builds an array representation of it, and all
		its contained files.</p>

		<p><i>Note:</i> paths are always relative to the main index.php file.</p>

		<p>Sub-directories contained within the directory will be mapped as well.  If you wish to only map the top level directory
		you can set the second parameter to true.</p>

		<div class="example">
			$map = directory_map('./my_directory/', true);
		</div>

		<p>Each directory name will be an index for the array, while its contents file be numerically indexed.</p>

		<div class="example">
			Array<br />
			(<br />
			&nbsp;&nbsp;&nbsp;&nbsp;[0] => about.php<br />
			&nbsp;&nbsp;&nbsp;&nbsp;[1] => archives.php<br />
			&nbsp;&nbsp;&nbsp;&nbsp;[2] => index.php<br />
			&nbsp;&nbsp;&nbsp;&nbsp;[3] => papers.php<br />
			&nbsp;&nbsp;&nbsp;&nbsp;[4] => paper_view.php<br />
			&nbsp;&nbsp;&nbsp;&nbsp;[5] => post_view.php<br />
			&nbsp;&nbsp;&nbsp;&nbsp;[6] => projects.php<br />
			&nbsp;&nbsp;&nbsp;&nbsp;[7] => post_none.php<br />
			&nbsp;&nbsp;&nbsp;&nbsp;[8] => project_view.php<br />
			&nbsp;&nbsp;&nbsp;&nbsp;[9] => tags.php<br />
			&nbsp;&nbsp;&nbsp;&nbsp;[10] => tags_none.php<br />
			<br />
			&nbsp;&nbsp;&nbsp;&nbsp;[css] => Array<br />
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(<br />
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[0] => stylesheet.css<br />
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[1] => prettify.css<br />
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;)<br />
		</div>
	</div>
</body>

</html>
